Index: src/backend/storage/buffer/buf_table.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/backend/storage/buffer/buf_table.c,v
retrieving revision 1.45
diff -c -r1.45 buf_table.c
*** src/backend/storage/buffer/buf_table.c	14 Jul 2006 14:52:22 -0000	1.45
--- src/backend/storage/buffer/buf_table.c	14 Jul 2006 16:05:57 -0000
***************
*** 20,25 ****
--- 20,26 ----
  #include "postgres.h"
  
  #include "storage/buf_internals.h"
+ #include "storage/bufmgr.h"
  
  
  /* entry for buffer lookup hashtable */
Index: src/backend/storage/lmgr/lmgr.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/backend/storage/lmgr/lmgr.c,v
retrieving revision 1.84
diff -c -r1.84 lmgr.c
*** src/backend/storage/lmgr/lmgr.c	14 Jul 2006 14:52:23 -0000	1.84
--- src/backend/storage/lmgr/lmgr.c	14 Jul 2006 16:05:57 -0000
***************
*** 16,21 ****
--- 16,23 ----
  #include "postgres.h"
  
  #include "access/subtrans.h"
+ #include "access/transam.h"
+ #include "access/xact.h"
  #include "miscadmin.h"
  #include "storage/lmgr.h"
  #include "storage/procarray.h"
Index: src/backend/utils/adt/inet_net_ntop.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/backend/utils/adt/inet_net_ntop.c,v
retrieving revision 1.23
diff -c -r1.23 inet_net_ntop.c
*** src/backend/utils/adt/inet_net_ntop.c	14 Jul 2006 14:52:24 -0000	1.23
--- src/backend/utils/adt/inet_net_ntop.c	14 Jul 2006 16:05:57 -0000
***************
*** 29,34 ****
--- 29,35 ----
  #include <arpa/inet.h>
  
  #include "utils/inet.h"
+ #include "utils/builtins.h"
  
  
  #define NS_IN6ADDRSZ 16
Index: src/backend/utils/adt/oracle_compat.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/backend/utils/adt/oracle_compat.c,v
retrieving revision 1.66
diff -c -r1.66 oracle_compat.c
*** src/backend/utils/adt/oracle_compat.c	14 Jul 2006 14:52:24 -0000	1.66
--- src/backend/utils/adt/oracle_compat.c	14 Jul 2006 16:05:58 -0000
***************
*** 29,34 ****
--- 29,35 ----
  #endif
  
  #include "utils/builtins.h"
+ #include "utils/pg_locale.h"
  #include "mb/pg_wchar.h"
  
  
Index: src/interfaces/libpq/fe-print.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/interfaces/libpq/fe-print.c,v
retrieving revision 1.71
diff -c -r1.71 fe-print.c
*** src/interfaces/libpq/fe-print.c	14 Jul 2006 14:52:27 -0000	1.71
--- src/interfaces/libpq/fe-print.c	14 Jul 2006 16:05:58 -0000
***************
*** 35,41 ****
  
  #include "libpq-fe.h"
  #include "libpq-int.h"
! 
  
  static void do_field(const PQprintOpt *po, const PGresult *res,
  		 const int i, const int j, const int fs_len,
--- 35,41 ----
  
  #include "libpq-fe.h"
  #include "libpq-int.h"
! #include "pqsignal.h"
  
  static void do_field(const PQprintOpt *po, const PGresult *res,
  		 const int i, const int j, const int fs_len,
Index: src/interfaces/libpq/fe-secure.c
===================================================================
RCS file: /projects/cvsroot/pgsql/src/interfaces/libpq/fe-secure.c,v
retrieving revision 1.84
diff -c -r1.84 fe-secure.c
*** src/interfaces/libpq/fe-secure.c	14 Jul 2006 14:52:27 -0000	1.84
--- src/interfaces/libpq/fe-secure.c	14 Jul 2006 16:05:58 -0000
***************
*** 85,90 ****
--- 85,91 ----
  
  #include "libpq-fe.h"
  #include "fe-auth.h"
+ #include "pqsignal.h"
  
  #ifdef WIN32
  #include "win32.h"
